%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global gitshort 29968a6

Name:           python-pep8
Version:        0.6.0
Release:        2.2
Summary:        Python style guide checker

Group:          Development/Languages
# License is held in the comments of pep8.py
# setup.py claims license is Expat license, which is the same as MIT
License:        MIT
URL:            https://github.com/jcrocholl/pep8
# This can be downloaded from https://github.com/jcrocholl/pep8/tarball/%{gitshort}
Source0:        jcrocholl-pep8-%{gitshort}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{!?suse_version}
BuildArch:      noarch
%endif
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools

%description
pep8 is a tool to check your Python code against some of the style conventions
in PEP 8. It has a plugin architecture, making new checks easy, and its output
is parseable, making it easy to jump to an error location in your editor.


%prep
%setup -qn jcrocholl-pep8-%{gitshort}
# Remove #! from pep8.py
sed --in-place "s:#!\s*/usr.*::" pep8.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --prefix %{_prefix}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.rst TODO.txt
%{_bindir}/pep8
%{python_sitelib}/*


%changelog
* Fri Jan 21 2011 Ian Weller <iweller@redhat.com> - 0.6.0-2
- RHBZ 633102: Requires: python-setuptools

* Tue Nov 16 2010 Ian Weller <iweller@redhat.com> - 0.6.0-1
- Changed upstream (same code, new maintainer, new URL)
- New release

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Nov  9 2009 Ian Weller <ian@ianweller.org> - 0.4.2-2
- Add BR: python-setuptools
- Change URL to the correct upstream

* Sun Nov  8 2009 Ian Weller <ian@ianweller.org> - 0.4.2-1
- Initial package build
